<!DOCTYPE html>
<html>
    <head>
        <title>Search Results</title>
        <style>
            body {
                font-family: Arial;
                padding: 15px;
            }
            table {
                border-collapse: collapse;
                width: 75%;
                margin-top: 10px;
            }
            th, td {
                border: 1px solid black;
                padding: 6px;
                text-align: left;
            }
            th {
                background-color: seagreen;
                color: white;
            }
        </style>
    </head>
<?php

// includes the database connection
include 'mysqli_connect.php';

// Gets and trims inputs
$fname = isset($_POST['fname']) ? $_POST['fname'] : '';
$lname = isset($_POST['lname']) ? $_POST['lname'] : '';

// Builds the SQL query
$query = "SELECT * FROM Donation WHERE 1=1";

if (!empty($fname)) {
    $query .= " AND fname LIKE '%" . mysqli_real_escape_string($dbc, $fname) . "%'";
}

if (!empty($lname)) {
    $query .= " AND lname LIKE '%" . mysqli_real_escape_string($dbc, $lname) . "%'";
}

// Runs the query from user
$result = mysqli_query($dbc, $query);

//Displays results
echo "<h3>Search Results</h3>";

if (mysqli_num_rows($result) > 0) {
    echo "<table>
         <tr>
                <th>First Name </th><th>Last Name</th>
                <th>Donation Type</th><th>Value</th>
         </tr>";
    while ($row = mysqli_fetch_assoc($result)) {
        echo "<tr>
                <td>{$row['fname']}</td>
                <td>{$row['lname']}</td>
                <td>{$row['donation_type']}</td>
                <td>{$row['value']}</td>
             </tr>";
    }
    echo "</table>";
} else {
    echo "No donations found matching your search. Please try again.";
}

// Closes the connection
mysqli_close($dbc);
?>

</html>
